Bug 171308 - Speedometer: Update the jQuery implementation to a more recent library version
Summary: Speedometer: Update the jQuery implementation to a more recent library version
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Addy Osmani
URL:
Keywords:
Depends on:
Blocks: 170513
  Show dependency treegraph
 
Reported: 2017-04-25 18:53 PDT by Addy Osmani
Modified: 2017-05-11 17:55 PDT (History)
5 users (show)

See Also:


Attachments
Patch (960.63 KB, patch)
2017-04-25 18:57 PDT, Addy Osmani
no flags Details | Formatted Diff | Diff
Patch (936.57 KB, patch)
2017-05-11 16:37 PDT, Addy Osmani
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Addy Osmani 2017-04-25 18:53:55 PDT
As part of Speedometer 2.0 (https://bugs.webkit.org/show_bug.cgi?id=170513), the jQuery implementation of TodoMVC needs to be updated to a more recent version.
Comment 1 Addy Osmani 2017-04-25 18:57:55 PDT
Created attachment 308187 [details]
Patch
Comment 2 Ryosuke Niwa 2017-05-09 14:41:45 PDT
Comment on attachment 308187 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=308187&action=review

> PerformanceTests/ChangeLog:7
> +        Updates the jQuery implementation of TodoMVC to a more recent version

Add a blank line above this.

> PerformanceTests/ChangeLog:46
> +        (webpackUniversalModuleDefinition):

Please remove these inline comments when files are simply imported or deleted from somewhere.
Comment 3 Addy Osmani 2017-05-11 16:37:08 PDT
Created attachment 309819 [details]
Patch
Comment 4 Addy Osmani 2017-05-11 16:37:28 PDT
Added a blank line above and dropped the inline comments. PTAL.
Comment 5 WebKit Commit Bot 2017-05-11 17:54:24 PDT
The commit-queue encountered the following flaky tests while processing attachment 309819 [details]:

workers/bomb.html bug 171985 (author: fpizlo@apple.com)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2017-05-11 17:55:33 PDT
Comment on attachment 309819 [details]
Patch

Clearing flags on attachment: 309819

Committed r216713: <http://trac.webkit.org/changeset/216713>
Comment 7 WebKit Commit Bot 2017-05-11 17:55:34 PDT
All reviewed patches have been landed.  Closing bug.